Bug 553135 - ext2online resize hangs [rhel-4.8.z]
Summary: ext2online resize hangs [rhel-4.8.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.7
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Vitaly Mayatskikh
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 547213
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-07 08:19 UTC by RHEL Program Management
Modified: 2011-01-30 23:19 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Under some circumstances, a locking bug could have caused an online ext3 file system resize to deadlock, which may have, in turn, caused the file system or the entire system to become unresponsive. In either case, a reboot was required after the deadlock. With this update, using resize2fs to perform an online resize of an ext3 file system works as expected.
Clone Of:
Environment:
Last Closed: 2010-03-17 00:47:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0146 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-03-17 00:46:47 UTC

Description RHEL Program Management 2010-01-07 08:19:49 UTC
This bug has been copied from bug #547213 and has been proposed
to be backported to 4.8 z-stream (EUS).

Comment 3 Vitaly Mayatskikh 2010-02-25 10:05:06 UTC
Committed in 89.0.22.EL

Comment 7 errata-xmlrpc 2010-03-17 00:47:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0146.html

Comment 8 Douglas Silas 2011-01-30 23:19:05 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Under some circumstances, a locking bug could have caused an online ext3 file system resize to deadlock, which may have, in turn, caused the file system or the entire system to become unresponsive. In either case, a reboot was required after the deadlock. With this update, using resize2fs to perform an online resize of an ext3 file system works as expected.


Note You need to log in before you can comment on or make changes to this bug.